Bug 676930 - Review Request: gmock - Google C++ Mocking Framework
Review Request: gmock - Google C++ Mocking Framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-11 16:24 EST by Terje Røsten
Modified: 2015-05-02 20:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: gmock-1.6.0-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 02:38:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2011-02-11 16:24:32 EST
spec: http://terjeros.fedorapeople.org/gmock/gmock.spec
srpm: http://terjeros.fedorapeople.org/gmock/gmock-1.5.0-1.fc16.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2833873
desc:
Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s
specifics in mind, Google C++ Mocking Framework (or Google Mock for
short) is a library for writing and using C++ mock classes.
Comment 1 Terje Røsten 2011-02-11 16:26:14 EST
Adding ref to older gmock reviews
Comment 2 Haïkel Guémar 2011-02-14 11:27:29 EST
gmock (C++ package requires gtest >= 1.5 which is only available for f15+)

MUST: rpmlint must be run on src.rpm and rpm.  KO
$ rpmlint -iv mock-1.5.0-1.fc15.src.rpm 
gmock.src: I: checking
gmock.src: W: spelling-error %description -l en_US jMock -> j Mock, jock, mock
The value of this tag appears to be misspelled. Please double-check.

gmock.src: W: spelling-error %description -l en_US matchers -> marchers, matcher, matches
The value of this tag appears to be misspelled. Please double-check.

gmock.src: W: spelling-error %description -l en_US minGW -> mingy, mingle, Mingus
The value of this tag appears to be misspelled. Please double-check.

gmock.src: I: checking-url http://code.google.com/p/googlemock/ (timeout 10 seconds)
gmock.src:43: W: make-check-outside-check-section # save the rest for use in make check
Make check or other automated regression test should be run in %check, as they
can be disabled with a rpm macro for short circuiting purposes.

gmock.src: I: checking-url http://googlemock.googlecode.com/files/gmock-1.5.0.tar.bz2 (timeout 10 seconds)
gmock.src: W: invalid-url Source0: http://googlemock.googlecode.com/files/gmock-1.5.0.tar.bz2 HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

$ rpmlint -iv gmock-1.5.0-1.fc15.x86_64.rpm                                                                                                 
gmock.x86_64: I: checking
gmock.x86_64: W: spelling-error %description -l en_US jMock -> j Mock, jock, mock
The value of this tag appears to be misspelled. Please double-check.

gmock.x86_64: W: spelling-error %description -l en_US matchers -> marchers, matcher, matches
The value of this tag appears to be misspelled. Please double-check.

gmock.x86_64: W: spelling-error %description -l en_US minGW -> mingy, mingle, Mingus
The value of this tag appears to be misspelled. Please double-check.

gmock.x86_64: I: checking-url http://code.google.com/p/googlemock/ (timeout 10 seconds)
gmock.x86_64: W: shared-lib-calls-exit /usr/lib64/libgmock.so.0.0.0 _exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$ rpmlint -iv gmock-devel-1.5.0-1.fc15.x86_64.rpm                                                                                           
gmock-devel.x86_64: I: checking
gmock-devel.x86_64: I: checking-url http://code.google.com/p/googlemock/ (timeout 10 seconds)
gmock-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

gmock-devel.x86_64: W: no-manual-page-for-binary gmock-config
Each executable in standard binary directories should have a man page.

gmock-devel.x86_64: W: no-manual-page-for-binary gmock_doctor.py
Each executable in standard binary directories should have a man page.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.

the make check warning is a false positive.
the shared-lib-exit-call warning is non-relevant due to package nature (mocking framework)
the other warnings are non-relevant.

MUST: package named accordingly to package naming guidelines. OK 

MUST: spec file name match %{name}  OK

MUST: package meets packaging guidelines OK

MUST: package must be licensed under a fedora-compliant license OK (BSD)

MUST: License field in package spec match actual license OK

MUST: spec in legible american english OK

MUST: sources provided match upstream's OK

provided sources sha1sum: 76d8f5a221c93105304d71e33391dc70af573d6a
upstream sources sha1sum: 76d8f5a221c93105304d71e33391dc70af573d6a

MUST: package successfully compiles on at least one primary architecture (all of them) OK

MUST: all build dependencies are listed in BR OK

MUST: package must not bundle copies of system libraries. OK
Note: it does bundle google test sources (gtest) but by default it builds agains system copy.

MUST: package must own all directories it creates. OK

MUST: package does not list a file more than once in %files section. OK

MUST: permissions are properly set. OK

MUST: package consistenly use macros. OK

MUST: package contains permissable content. OK

MUST: package does not own directories owned by other packages. OK

MUST: all filenames in package are valid UTF-8. OK

SHOULD: mock builds were done for fedora devel on all primary architectures (x86/x86_64). OK
http://koji.fedoraproject.org/koji/taskinfo?taskID=2839341

SHOULD: the module provided works (tested with gtest). OK


May i suggest you to open a f14 branch with gmock 1.4.0 ? it shouldn't be too hard though.
Hereby, i give you my blessing for importing this package into fedora collection.
Comment 3 Terje Røsten 2011-02-14 16:35:19 EST
Thanks for the review!

The plan is to update gtest in F14 to 1.5.0.

New Package SCM Request
=======================
Package Name: gmock
Short Description: Google C++ Mocking Framework
Owners: terjeros
Branches: f14 f15
InitialCC:
Comment 4 Jason Tibbitts 2011-02-15 14:29:38 EST
Git done (by process-git-requests).
Comment 5 Terje Røsten 2011-02-16 02:38:31 EST
Imported and built.
Comment 6 Terje Røsten 2013-08-19 06:28:41 EDT
Please add EPEL branch, see https://bugzilla.redhat.com/show_bug.cgi?id=912719


Package Change Request
======================
Package Name: gmock
New Branches: EL6 
Owners: peter
InitialCC:
Comment 7 Jon Ciesla 2013-08-19 07:58:45 EDT
Git done (by process-git-requests).
Comment 8 Peter Lemenkov 2015-03-26 07:41:04 EDT
Terje, are you ok with adding a bit more branches for EPEL? I'm going to ask another one - this time for EL7.

Package Change Request
======================
Package Name: gmock
New Branches: epel7
Owners: peter
InitialCC:
Comment 9 Jon Ciesla 2015-03-26 10:28:35 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2015-03-30 08:05:19 EDT
gmock-1.6.0-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/gmock-1.6.0-3.el7
Comment 11 Fedora Update System 2015-05-02 20:48:06 EDT
gmock-1.6.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.